Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84101 - application bug: parallel(3961) has SIGCHLD set to SIG_IGN but calls wait4.
Summary: application bug: parallel(3961) has SIGCHLD set to SIG_IGN but calls wait4.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-12 04:50 UTC by Bill Nottingham
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:53:07 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2003-02-12 04:50:26 UTC
SSIA.

Comment 1 Tim Waugh 2003-02-12 10:39:11 UTC
It's not in the parallel backend, but in the scheduler (scheduler/devices.c). 
The reason given in CHANGES.txt for this is:

        - The scheduler's LoadDevices() function was getting
          interrupted by the SIGCHLD signal handler; now ignore
          child signals while loading devices.

I don't want to re-introduce whatever bug that was.

Comment 2 Tim Waugh 2003-02-12 18:51:52 UTC
Fixed package is cups-1.1.17-13.

Comment 3 Bill Nottingham 2003-07-28 21:53:07 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.